#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtGui/QMainWindow>
#include "vi.h"

class ViEditView;
class ViEngine;
//enum ViEditView::Mode;

class MainWindow : public QMainWindow
{
	Q_OBJECT

public:
	MainWindow(QWidget *parent = 0, Qt::WFlags flags = 0);
	~MainWindow();

public slots:
	void onModeChanged(Mode);

private:
	ViEditView	*m_editor;
	ViEngine	*m_viEngine;
};

#endif // MAINWINDOW_H
